### Method

# Camel NetworkService set_connectable

since: 3.8

#### Declaration [src]

    void
    camel_network_service_set_connectable (
      CamelNetworkService* service,
      GSocketConnectable* connectable
    )

#### Description [src]

Sets the socket endpoint for the network service to which `service` is a client. If `connectable` is `NULL`, a `GSocketConnectable` is derived from the `service`‘s `CamelNetworkSettings`.

Available since: 3.8

Sets property | `Camel.NetworkService:connectable`

#### Parameters

`connectable`

  Type: `GSocketConnectable`

  A `GSocketConnectable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.